org.keycloak.authorization.admin

## Class ResourceSetService

- java.lang.Object
- - org.keycloak.authorization.admin.ResourceSetService

-     public class ResourceSetService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceSetService(KeycloakSession session, ResourceServer resourceServer, AuthorizationProvider authorization, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `audit(ResourceRepresentation resource, String id, OperationType operation)`
    `ResourceRepresentation` | `create(ResourceRepresentation resource)`
    `javax.ws.rs.core.Response` | `createPost(ResourceRepresentation resource)`
    `javax.ws.rs.core.Response` | `delete(String id)`
    `javax.ws.rs.core.Response` | `find(String name)`
    `javax.ws.rs.core.Response` | `find(String id, String name, String uri, String owner, String type, String scope, Boolean matchingUri, Boolean exactName, Boolean deep, Integer firstResult, Integer maxResult)`
    `javax.ws.rs.core.Response` | `find(String id, String name, String uri, String owner, String type, String scope, Boolean matchingUri, Boolean exactName, Boolean deep, Integer firstResult, Integer maxResult, BiFunction<Resource,Boolean,?> toRepresentation)`
    `javax.ws.rs.core.Response` | `findById(String id)`
    `javax.ws.rs.core.Response` | `findById(String id, Function<Resource,? extends ResourceRepresentation> toRepresentation)`
    `javax.ws.rs.core.Response` | `getAttributes(String id)`
    `javax.ws.rs.core.Response` | `getPermissions(String id)`
    `javax.ws.rs.core.Response` | `getScopes(String id)`
    `javax.ws.rs.core.Response` | `update(String id, ResourceRepresentation resource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceSetService

          public ResourceSetService(KeycloakSession session,
                                    ResourceServer resourceServer,
                                    AuthorizationProvider authorization,
                                    AdminPermissionEvaluator auth,
                                    AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### createPost

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response createPost(ResourceRepresentation resource)

    - #### create

          public ResourceRepresentation create(ResourceRepresentation resource)

    - #### update

          @Path(value="{id}")
           @PUT
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response update(@PathParam(value="id")
                                                                                                                                                      String id,
                                                                                                                                                      ResourceRepresentation resource)

    - #### delete

          @Path(value="{id}")
           @DELETE
          public javax.ws.rs.core.Response delete(@PathParam(value="id")
                                                                               String id)

    - #### findById

          @Path(value="{id}")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findById(@PathParam(value="id")
                                                                                                                   String id)

    - #### findById

          public javax.ws.rs.core.Response findById(String id,
                                                    Function<Resource,? extends ResourceRepresentation> toRepresentation)

    - #### getScopes

          @Path(value="{id}/scopes")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getScopes(@PathParam(value="id")
                                                                                                                           String id)

    - #### getPermissions

          @Path(value="{id}/permissions")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getPermissions(@PathParam(value="id")
                                                                                                                                     String id)

    - #### getAttributes

          @Path(value="{id}/attributes")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getAttributes(@PathParam(value="id")
                                                                                                                                   String id)

    - #### find

          @Path(value="/search")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response find(@QueryParam(value="name")
                                                                                                                  String name)

    - #### find

          @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response find(@QueryParam(value="_id")
                                                                                          String id,
                                                                                          @QueryParam(value="name")
                                                                                          String name,
                                                                                          @QueryParam(value="uri")
                                                                                          String uri,
                                                                                          @QueryParam(value="owner")
                                                                                          String owner,
                                                                                          @QueryParam(value="type")
                                                                                          String type,
                                                                                          @QueryParam(value="scope")
                                                                                          String scope,
                                                                                          @QueryParam(value="matchingUri")
                                                                                          Boolean matchingUri,
                                                                                          @QueryParam(value="exactName")
                                                                                          Boolean exactName,
                                                                                          @QueryParam(value="deep")
                                                                                          Boolean deep,
                                                                                          @QueryParam(value="first")
                                                                                          Integer firstResult,
                                                                                          @QueryParam(value="max")
                                                                                          Integer maxResult)

    - #### find

          public javax.ws.rs.core.Response find(@QueryParam(value="_id")
                                                String id,
                                                @QueryParam(value="name")
                                                String name,
                                                @QueryParam(value="uri")
                                                String uri,
                                                @QueryParam(value="owner")
                                                String owner,
                                                @QueryParam(value="type")
                                                String type,
                                                @QueryParam(value="scope")
                                                String scope,
                                                @QueryParam(value="matchingUri")
                                                Boolean matchingUri,
                                                @QueryParam(value="exactName")
                                                Boolean exactName,
                                                @QueryParam(value="deep")
                                                Boolean deep,
                                                @QueryParam(value="first")
                                                Integer firstResult,
                                                @QueryParam(value="max")
                                                Integer maxResult,
                                                BiFunction<Resource,Boolean,?> toRepresentation)

    - #### audit

          public void audit(ResourceRepresentation resource,
                            String id,
                            OperationType operation)

Copyright © 2020 JBoss by Red Hat. All rights reserved.